Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.response
Class BusinessDetail

    java.lang.Object
      weblogic.uddi.client.structures.response.Response
          weblogic.uddi.client.structures.response.ListResponse
              weblogic.uddi.client.structures.response.BusinessDetail

public class BusinessDetail
extends ListResponse

BusinessDetail contains one or more businessEntity data sets.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`BusinessDetail()` Class constructor.

Method Summary
`void` | `addBusinessEntity(BusinessEntity businessEntity)` Add a new business entity to the current set of business entities
`Vector` | `getBusinessEntityVector()` Gets the current set of business entities
`void` | `setBusinessEntityVector(Vector vector)` Sets a new set of business entities

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessDetail

    public BusinessDetail()

  Class constructor.

Method Detail

### addBusinessEntity

    public void addBusinessEntity(BusinessEntity businessEntity)

  Add a new business entity to the current set of business entities

  Parameters:
    `businessEntity` - New business entity

### getBusinessEntityVector

    public Vector getBusinessEntityVector()

  Gets the current set of business entities

  Returns:
    Current set of business entities

### setBusinessEntityVector

    public void setBusinessEntityVector(Vector vector)

  Sets a new set of business entities

  Parameters:
    `vector` - New set of business entities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD